Subject: Re: [PATCH 33/67] read_branches_file: replace strcpy with xstrdup

From: Junio C Hamano <[email-masked]>
Date: Thu, 17 Sep 2015 09:53:16 -0700

Jeff King <[email-masked]> writes:

> Yeah, that was my thinking. Since I _did_ end up doing the cleanup and
> posted it earlier, please feel free to review and express an opinion on
> the original versus the cleanup.
>
> I'm on the fence.  I do think the cleaned-up version is much nicer, but
> I always worry about the risk of touching little-used code.

True.

With s/strbuf_read_file()/strbuf_getline()/ on the first one I think
there is no regression (at least, that is the only deliberate
regression I saw).

I found all other parts of the cleaned-up version much nicer, too.